<packet name="RecipeDetails">
	<version number="1">
		<u32 name="num_recipes">
		<array name="recipe_array" count="var:num_recipes">
			<u32 name="recipe_id">
			<u16 name="icon">
			<u32 name="unknown1" size="2">
			<char name="recipe_name" size="200">
			<char name="recipe_desc" size="256">
			<u32 name="unknown2" size="2">
			<u32 name="technique">
			<u32 name="knowledge">
			<u8 name="level" size="1 ">
			<u32 name="unknown3">
			<char name="recipe_book" size="200">
			<char name="device" size="40">
			<u32 name="unknown4">
		</array>
	</version>
</packet>